{
    allowedItemIdentifiers = (
        NewPalette, EditPalette, Forward, Backward, PalettePopUp, 
        NSToolbarSeparatorItem, NSToolbarSpaceItem, NSToolbarFlexibleSpaceItem, NSToolbarCustomizeToolbarItem, ShowPaletteTemplate
    ); 
    defaultItemIdentifiers = (
       Backward, Forward, PalettePopUp, "Basic.palette", NSToolbarFlexibleSpaceItem, NSToolbarSeparatorItem, EditPalette, NewPalette
    ); 
    itemInfoByIdentifier = {
        PalettePopUp = {
            action = "openPaletteFromMenu:"; 
            label = "Palettes"; 
            paletteLabel = "Palettes"; 
        }; 
        EditPalette = {
            action = "editPalette:"; 
            imageName = EditPalette; 
            label = "Éditer"; 
            paletteLabel = "Éditer la palette"; 
            toolTip = "Éditer la palette"; 
        }; 
	NewPalette = {
            action = "newPalette:"; 
            imageName = "NewPalette"; 
            label = "Nouvelle"; 
            paletteLabel = "Nouvelle palette"; 
            toolTip = "Nouvelle Palette";
            target = firstResponder;
        };
        Forward = {
            action = "forward:"; 
            imageName = Forward; 
            label = "Suivant"; 
            paletteLabel = "Suivant"; 
            toolTip = "Suivant"; 
        }; 
        Backward = {
            action = "backward:"; 
            imageName = Back; 
            label = "Précédent"; 
            paletteLabel = "Précédent"; 
            toolTip = "Précédent"; 
        }; 
        
        /* This item is a template for the 'show palette' items which are dynamically created */
        ShowPaletteTemplate = {
            action = "openPaletteFromToolbar:"; 
            imageName = GenericPalette; 
            label = "%@";
            paletteLabel = "Palette %@"; 
            toolTip = "Afficher la palette %@"; 
            target = firstResponder;
        }; 
   }; 
}